<script setup lang="ts">

</script>


<template>
  <p>Get all tasks, only select id and description.</p>
  <ol>
    <li>Import gql from 'graphql-tag'</li>
    <li>Import { useQuery } from '@vue/apollo-composable'</li>
    <li>Write a query to get all tasks, select only id and description. <pre><code>const query = gql`query getTasks { tasks { id description} }`</code></pre></li>
    <li>Destructure the result: <pre><code>const { result } = useQuery(query)</code></pre></li>
    <li>Put the result between a PRE tag</li>
  </ol>

  <pre>
    <!-- ************************************************************  -->
    <!-- *                                                          *  -->
    <!-- *                                                          *  -->
    <!-- *                                                          *  -->
    <!-- *              PLACE THE RESULT HERE!                      *  -->
    <!-- *                                                          *  -->
    <!-- *                                                          *  -->
    <!-- ************************************************************  -->
  </pre>

</template>

<style scoped></style>
